<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: UIPropertyAttachment Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d5/d64/class_u_i_property_attachment.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">UIPropertyAttachment Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a71fd1c5421f4dd143021da78ab3fd279"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#a71fd1c5421f4dd143021da78ab3fd279">UIPropertyAttachment</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> root)</td></tr>
<tr class="separator:a71fd1c5421f4dd143021da78ab3fd279"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a600cea8df6dfc56ec57d137247257980"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#a600cea8df6dfc56ec57d137247257980">~UIPropertyAttachment</a> ()</td></tr>
<tr class="separator:a600cea8df6dfc56ec57d137247257980"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cbfa05a8d032dbe95f02c3793cf9c90"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#a6cbfa05a8d032dbe95f02c3793cf9c90">OnClick</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> button)</td></tr>
<tr class="separator:a6cbfa05a8d032dbe95f02c3793cf9c90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeba68b6b7dd5ab14889e97968058229f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#aeba68b6b7dd5ab14889e97968058229f">SetPos</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>)</td></tr>
<tr class="separator:aeba68b6b7dd5ab14889e97968058229f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2513ac32d3e260e906b8c372b85b65f2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#a2513ac32d3e260e906b8c372b85b65f2">SetSize</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> width, <a class="el" href="../../d4/dc3/classfloat.html">float</a> height)</td></tr>
<tr class="separator:a2513ac32d3e260e906b8c372b85b65f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae839293efdecdbb896dae81877f67e74"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#ae839293efdecdbb896dae81877f67e74">Show</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> e, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> slot_name, <a class="el" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a> att_items)</td></tr>
<tr class="separator:ae839293efdecdbb896dae81877f67e74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addffd8b667013c41dcb3cc927fd61b42"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#addffd8b667013c41dcb3cc927fd61b42">Hide</a> ()</td></tr>
<tr class="separator:addffd8b667013c41dcb3cc927fd61b42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3f6042259cfe0e3a252383ba3ff348f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#ab3f6042259cfe0e3a252383ba3ff348f">IsVisible</a> ()</td></tr>
<tr class="separator:ab3f6042259cfe0e3a252383ba3ff348f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a2b6bd3d272b20243081867f4d0a72c3c"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#a2b6bd3d272b20243081867f4d0a72c3c">m_WgtRoot</a></td></tr>
<tr class="separator:a2b6bd3d272b20243081867f4d0a72c3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c5399ec46b78064753ce032e73f1acd"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#a7c5399ec46b78064753ce032e73f1acd">m_WgtThis</a></td></tr>
<tr class="separator:a7c5399ec46b78064753ce032e73f1acd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1e82c4ef65357a85d009147637448636"><td class="memItemLeft" align="right" valign="top">private XComboBoxWidget&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#a1e82c4ef65357a85d009147637448636">m_WgtComboBox</a></td></tr>
<tr class="separator:a1e82c4ef65357a85d009147637448636"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a120ec5b9000a82f84043b1ac1b403b0b"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#a120ec5b9000a82f84043b1ac1b403b0b">m_WgtSlotName</a></td></tr>
<tr class="separator:a120ec5b9000a82f84043b1ac1b403b0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e7643ae944bd7ac7b5a26657e665a7f"><td class="memItemLeft" align="right" valign="top">private ref <a class="el" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#a6e7643ae944bd7ac7b5a26657e665a7f">m_ComboItems</a></td></tr>
<tr class="separator:a6e7643ae944bd7ac7b5a26657e665a7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd9c61d104f557906b5a51b84eaff68a"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#afd9c61d104f557906b5a51b84eaff68a">m_PrevIndex</a></td></tr>
<tr class="separator:afd9c61d104f557906b5a51b84eaff68a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f818a632fdbd05b64f40ef6155ec60"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#ae4f818a632fdbd05b64f40ef6155ec60">m_Obj</a></td></tr>
<tr class="separator:ae4f818a632fdbd05b64f40ef6155ec60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6eee6af508424eee60af50b48b3ba92e"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html#a6eee6af508424eee60af50b48b3ba92e">m_SlotID</a></td></tr>
<tr class="separator:a6eee6af508424eee60af50b48b3ba92e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00001">1</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a71fd1c5421f4dd143021da78ab3fd279" name="a71fd1c5421f4dd143021da78ab3fd279"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71fd1c5421f4dd143021da78ab3fd279">&#9670;&#160;</a></span>UIPropertyAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UIPropertyAttachment::UIPropertyAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>root</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00013">13</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<a id="a600cea8df6dfc56ec57d137247257980" name="a600cea8df6dfc56ec57d137247257980"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a600cea8df6dfc56ec57d137247257980">&#9670;&#160;</a></span>~UIPropertyAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UIPropertyAttachment::~UIPropertyAttachment </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00024">24</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="addffd8b667013c41dcb3cc927fd61b42" name="addffd8b667013c41dcb3cc927fd61b42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addffd8b667013c41dcb3cc927fd61b42">&#9670;&#160;</a></span>Hide()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UIPropertyAttachment::Hide </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00102">102</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<a id="ab3f6042259cfe0e3a252383ba3ff348f" name="ab3f6042259cfe0e3a252383ba3ff348f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3f6042259cfe0e3a252383ba3ff348f">&#9670;&#160;</a></span>IsVisible()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> UIPropertyAttachment::IsVisible </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00110">110</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<a id="a6cbfa05a8d032dbe95f02c3793cf9c90" name="a6cbfa05a8d032dbe95f02c3793cf9c90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cbfa05a8d032dbe95f02c3793cf9c90">&#9670;&#160;</a></span>OnClick()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> UIPropertyAttachment::OnClick </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>w</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>button</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00032">32</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<a id="aeba68b6b7dd5ab14889e97968058229f" name="aeba68b6b7dd5ab14889e97968058229f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeba68b6b7dd5ab14889e97968058229f">&#9670;&#160;</a></span>SetPos()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UIPropertyAttachment::SetPos </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00059">59</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<a id="a2513ac32d3e260e906b8c372b85b65f2" name="a2513ac32d3e260e906b8c372b85b65f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2513ac32d3e260e906b8c372b85b65f2">&#9670;&#160;</a></span>SetSize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UIPropertyAttachment::SetSize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00064">64</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<a id="ae839293efdecdbb896dae81877f67e74" name="ae839293efdecdbb896dae81877f67e74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae839293efdecdbb896dae81877f67e74">&#9670;&#160;</a></span>Show()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void UIPropertyAttachment::Show </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>e</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>slot_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a>&#160;</td>
          <td class="paramname"><em>att_items</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00069">69</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a6e7643ae944bd7ac7b5a26657e665a7f" name="a6e7643ae944bd7ac7b5a26657e665a7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e7643ae944bd7ac7b5a26657e665a7f">&#9670;&#160;</a></span>m_ComboItems</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a> UIPropertyAttachment::m_ComboItems</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00007">7</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<a id="ae4f818a632fdbd05b64f40ef6155ec60" name="ae4f818a632fdbd05b64f40ef6155ec60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4f818a632fdbd05b64f40ef6155ec60">&#9670;&#160;</a></span>m_Obj</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> UIPropertyAttachment::m_Obj</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00009">9</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<a id="afd9c61d104f557906b5a51b84eaff68a" name="afd9c61d104f557906b5a51b84eaff68a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd9c61d104f557906b5a51b84eaff68a">&#9670;&#160;</a></span>m_PrevIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> UIPropertyAttachment::m_PrevIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00008">8</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<a id="a6eee6af508424eee60af50b48b3ba92e" name="a6eee6af508424eee60af50b48b3ba92e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6eee6af508424eee60af50b48b3ba92e">&#9670;&#160;</a></span>m_SlotID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> UIPropertyAttachment::m_SlotID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00010">10</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<a id="a1e82c4ef65357a85d009147637448636" name="a1e82c4ef65357a85d009147637448636"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1e82c4ef65357a85d009147637448636">&#9670;&#160;</a></span>m_WgtComboBox</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private XComboBoxWidget UIPropertyAttachment::m_WgtComboBox</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00005">5</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<a id="a2b6bd3d272b20243081867f4d0a72c3c" name="a2b6bd3d272b20243081867f4d0a72c3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2b6bd3d272b20243081867f4d0a72c3c">&#9670;&#160;</a></span>m_WgtRoot</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> UIPropertyAttachment::m_WgtRoot</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00003">3</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<a id="a120ec5b9000a82f84043b1ac1b403b0b" name="a120ec5b9000a82f84043b1ac1b403b0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a120ec5b9000a82f84043b1ac1b403b0b">&#9670;&#160;</a></span>m_WgtSlotName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a> UIPropertyAttachment::m_WgtSlotName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00006">6</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<a id="a7c5399ec46b78064753ce032e73f1acd" name="a7c5399ec46b78064753ce032e73f1acd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c5399ec46b78064753ce032e73f1acd">&#9670;&#160;</a></span>m_WgtThis</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> UIPropertyAttachment::m_WgtThis</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html#l00004">4</a> of file <a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/GUI/SceneEditorMenu/<a class="el" href="../../d5/d8a/_u_i_property_attachment_8c_source.html">UIPropertyAttachment.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d5/d64/class_u_i_property_attachment.html">UIPropertyAttachment</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
